MagicWP Docs
WordPress

Create a WordPress user

POST
/v1/sites/{site_id}/wp/users

Permission: wp.users

Authorization

apiToken
headerAuthorizationBearer <token>

An API token (mwp_…) from Settings → API tokens. Only accepted on this host.

Path Parameters

site_id*Site Id
Formatuuid

Request Body

application/json
  1. body
username*Username
Match^[A-Za-z0-9 ._@\-]+$
Length1 <= length <= 60
email*Email
Match^[^@\s\-][^@\s]*@[^@\s]+\.[^@\s]+$
Length3 <= length <= 200
role?Role
Match^(subscriber|contributor|author|editor|administrator)$
Default"subscriber"
password*Password
Length8 <= length <= 100
display_name?Display Name
Lengthlength <= 250
Default""

Response Body

Successful Response

application/json
  1. response
success*boolean
data*

The result; on an error, details such as code and permission.

message*string
status_code*integer
timestamp*string
Formatdate-time
meta?|null
curl -X POST "https://example.com/v1/sites/497f6eca-6276-4993-bfeb-53cbbbba6f08/wp/users" \  -H "Content-Type: application/json" \  -d '{    "username": "string",    "email": "string",    "password": "stringst"  }'
{  "message": "string",  "status_code": 0,  "timestamp": "2019-08-24T14:15:22Z",  "meta": {},  "success": true,  "data": {    "wp_user_id": null  }}